1. bigbamboo's Avatar
    Having downloaded the latest Desktop software and then un-downloaded it again because it doesn't work, I have gone back to the old version and now can't sync because I 'need to download the Blackberry Device Manager'. I have a 9900 and the device manager software I see on the BB website seems to be for older models - do I just download this?

    At the moment, I can't sync because I can't find a link to it anywhere and I'm about to go travelling on business with the wrong information in my calendar.

    Can someone PLEASE give me a link or some advice? Many thanks, in advance...
    02-21-12 07:32 AM
LINK TO POST COPIED TO CLIPBOARD